Get conversations
https://{kibana_url}
- GET /api/security_ai_assistant/current_user/conversations/_find
- GET /s/{space_id}/api/security_ai_assistant/current_user/conversations/_find
Refer to Spaces for more information.
Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.
Query Parameters
-
fieldsstring A list of fields to include in the response. If omitted, all fields are returned.
-
filterstring A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.
-
sort_field The field by which to sort the results. Valid fields are
created_at,title, andupdated_at.-
Values:
created_attitleupdated_at -
sort_order The order in which to sort the results. Can be either
ascfor ascending ordescfor descending.-
Values:
ascdesc -
pageinteger · min: 1 · default: 1 The page number of the results to retrieve. Default is 1.
-
per_pageinteger · min: 0 · default: 20 The number of conversations to return per page. Default is 20.
Responses
Successful response, returns a paginated list of conversations matching the specified criteria.
-
dataobjectrequired -
A list of conversations.
-
apiConfig -
actionTypeIdstringrequired -
Action type ID
-
connectorIdstringrequired -
Connector ID
-
defaultSystemPromptIdstring -
Default system prompt ID
-
modelstring -
Model
-
createdAtstringrequired -
The time conversation was created.
-
excludeFromLastConversationStorageboolean -
Exclude from last conversation storage.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
messagesobject -
The conversation messages.
-
contentstringrequired -
Message content.
-
isErrorboolean -
Is error message.
-
readerobject -
refusalstring -
Refusal reason returned by the model when content is filtered.
-
timestampstring · min: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData -
Trace Data
-
traceIdstring -
Could be any string, not necessarily a UUID
-
transactionIdstring -
Could be any string, not necessarily a UUID
-
namespacestringrequired -
Kibana space
-
replacementsobject -
Replacements object used to anonymize/deanonymize messages
-
timestampstring · min: 1 -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
titlestringrequired -
The conversation title.
-
updatedAtstring -
The last time conversation was updated.
-
pageintegerrequired -
The current page of the results.
-
perPageintegerrequired -
The number of results returned per page.
-
totalintegerrequired -
The total number of conversations matching the filter criteria.
Generic Error. The request could not be processed due to an invalid query parameter or other issue.
-
errorstring -
messagestring -
statusCodenumber